SUBROUTINE DENSUNESCO
USE STATE
IMPLICIT NONE
INTEGER I,J,K
!
!         THIS SUBROUTINE COMPUTES DENSITY AFTER UNESCOS FORMULA AS GIVEN in GILL
!
!$omp parallel do
DO K=1,KB-1
  DO  J=1,JM
    DO I=1,IM
!
      RHO(I,J,K) = 999.842594 + 6.793952E-2*T(I,J,K)  &
     &        - 9.095290E-3*T(I,J,K)**2 + 1.001685E-4*T(I,J,K)**3  &
     &        - 1.120083E-6*T(I,J,K)**4 + 6.536332E-9*T(I,J,K)**5
!
      RHO(I,J,K) = RHO(I,J,K) + (0.824493 - 4.0899E-3*T(I,J,K) &
     &       + 7.6438E-5*T(I,J,K)**2 - 8.2467E-7*T(I,J,K)**3 &
     &       + 5.3875E-9*T(I,J,K)**4) * S(I,J,K) &
     &       + (-5.72466E-3 + 1.0227E-4*T(I,J,K) &
     &       - 1.6546E-6*T(I,J,K)**2) * S(I,J,K)**1.5 &
     &       + 4.8314E-4 * S(I,J,K)**2
!
      RHO(I,J,K) = RHO(I,J,K) - 1000.
    END DO
  END DO
END DO
RHO = RHO - RHOAVER
RETURN
END
