SUBROUTINE DIAGNOSE(INR)
USE STATE
IMPLICIT NONE
INTEGER I,J,K,K2,INR
REAL VELMAX,SMAX
PARAMETER (VELMAX=10.0 ,SMAX = 37.0)
!
!$omp parallel do
DO J = 1,JM
  DO I = 1,IM
      DO K = 1,KB-1
        IF (ABS(U(I,J,K)).GT.VELMAX) THEN
          WRITE(*,*)'TOO LARGE U******',INR
          WRITE(*,*)I,J,K,U(I,J,K),DU(I,J),ETA(I,J)
          WRITE(*,*)'U '
          DO K2 = 1,KB-1
            WRITE(*,*)K2,U(I,J,K2),V(I,J,K2)
          END DO
          WRITE(*,*)'Mixing Coeef'
          DO K2 = 1,KB-1
            WRITE(*,*)K2,AM(I,J,K2),KH(I,J,K2),KM(I,J,K2)
          END DO
          STOP
        ENDIF
      END DO
  END DO
END DO
!$omp parallel do
DO J = 1,JM
  DO I = 1,IM
      DO K = 1,KB-1
        IF (ABS(V(I,J,K)).GT.VELMAX) THEN
          WRITE(*,*)'TOO LARGE V******',INR
          WRITE(*,*)I,J,K,V(I,J,K),DV(I,J),ETA(I,J)
          WRITE(*,*)'U '
          DO K2 = 1,KB-1
            WRITE(*,*)K2,U(I,J,K2),V(I,J,K2)
          END DO
          WRITE(*,*)'Mixing Coeef'
          DO K2 = 1,KB-1
            WRITE(*,*)K2,AM(I,J,K2),KH(I,J,K2),KM(I,J,K2)
          END DO
          STOP
        ENDIF
      END DO
  END DO
END DO
!
!$omp parallel do
DO J = 1,JM
  DO I = 1,IM
      DO K = 1,KB-1
        IF (S(I,J,K).GT.SMAX) THEN
          WRITE(*,*)'TOO LARGE S******',INR
          WRITE(*,*)I,J,K,S(I,J,K),D(I,J),ETA(I,J)
          WRITE(*,*)'U '
          DO K2 = 1,KB-1
            WRITE(*,*)K2,S(I,J,K2),U(I,J,K2),V(I,J,K2)
          END DO
          WRITE(*,*)'Mixing Coeef'
          DO K2 = 1,KB-1
            WRITE(*,*)K2,AM(I,J,K2),KH(I,J,K2),KM(I,J,K2)
          END DO
          STOP
        ENDIF
      END DO
  END DO
END DO

!
RETURN
END
