SUBROUTINE OUTPUT
  USE MOD_MAIN
  IMPLICIT NONE
!
!  For each time step print out energies ++
!
  IF (MOD(ISTEP,1).EQ.0) THEN
    WRITE(*,*)ISTEP,MAXLOC(U),MAXVAL(U)
    WRITE(*,*)ISTEP,MAXLOC(S),MAXVAL(S)
    CALL NRG3D(EKIN,VOLUME,MASS,EETA)
    WRITE(*,*)ISTEP,EKIN,VOLUME,MASS
!   WRITE(*,*)ETA(1,13),ETA(4,13),ETA(10,13)
!   WRITE(*,*)UA(1,14),UA(4,14),UA(10,14)
!   WRITE(*,*)U(1,13,KB-2),U(2,13,KB-2),U(3,13,KB-2)
!   WRITE(*,*)U(1,14,KB-2),U(2,14,KB-2),U(3,14,KB-2)
    WRITE(43,1005)ISTEP*DT/(3600.*24.),EKIN,VOLUME,MASS,EETA
    WRITE(83,1006)ISTEP*DT/(3600.*24.),ETA(10,20),U(10,20,1),V(10,20,1)
    WRITE(84,1006)ISTEP*DT/(3600.*24),ETA(13,11),U(13,11,1),V(13,11,1)
    WRITE(85,1006)ISTEP*DT/(3600.*24),ETA(23,19),U(23,19,1),V(23,19,1)
  ENDIF
1005 FORMAT(1X,F8.4,2X,E12.5,2X,E10.4,2X,E11.5,2X,F8.4)
1006 FORMAT(1X,F8.4,2X,E11.4,2X,E10.4,2X,E10.4)

  IF(MOD(ISTEP,5).EQ.0) THEN
    WRITE(*,*)'FRS-1'
    DO I = 1,LB+1
      WRITE(*,*)I,ETA(I,13),U(I,13,1),V(I,13,1),AM2D(I,13),AM(I,13,1)
      WRITE(*,*)ETAFRS(I,13),ETATFRS(I,13),UAFRS(I,13),UATFRS(I,13)
    END DO
    WRITE(*,*)'FRS-2'
    DO J = 1,LB+1
      WRITE(*,*)J,ETA(15,J),U(15,J,1),V(15,J,1),AM2D(15,J),AM(15,J,1)
    END DO
  ENDIF
  IF (MOD(ISTEP,(6*NDIVIS)).EQ.0) THEN
!
!   Compute velocities and RHO at 2m depth and at 5m depth
!
    CALL PZLEVEL
    CALL OUTETAFEM
!
!
!  Dump data along a section from the open boundary to Arnavaagen
!
    CALL OUTSECTIONS
  ENDIF
    
END SUBROUTINE OUTPUT 
