SUBROUTINE OUTSECTIONS
USE MOD_MAIN
IMPLICIT NONE
!
REAL AX,AY,BX,BY
INTEGER MAXSEC
PARAMETER (MAXSEC=200)
REAL USEC(MAXSEC,KB),VSEC(MAXSEC,KB),WSEC(MAXSEC,KB), &
     &     SSEC(MAXSEC,KB),RHOSEC(MAXSEC,KB), &
     &     SECDEP(MAXSEC),SECLEN(MAXSEC)
REAL USECTOT(MAXSEC,KB),VSECTOT(MAXSEC,KB),WSECTOT(MAXSEC,KB), &
     &     SSECTOT(MAXSEC,KB),RHOSECTOT(MAXSEC,KB), &
     &     SECDEPTOT(MAXSEC),SECLENTOT(MAXSEC)
INTEGER NSEC,NSECTOT
INTEGER NUMNODES,NUMEL
REAL XX
INTEGER ICELL,JCELL,IFAIL
!
! Define section follow the fjord system from the opening at I = 1, J = 14
! to the river at Arna.
!
AX = 0.
AY = 13.5
BX = 9.0
BY = 13.5
CALL SECTIO(AX,AY,BX,BY,IM,JM,KB,H,U,V,WR,S,RHO, &
     &  DX,DY,DZ,USEC,VSEC,WSEC,SSEC,RHOSEC,SECDEP,SECLEN,MAXSEC, &
     &           NSEC,IFAIL)
WRITE(*,*)'UT AV SECTIO-1',NSEC,IFAIL
NSECTOT = NSEC
!
!  Save values for the first part of the section
!
DO I = 1,NSEC
  SECDEPTOT(I) = SECDEP(I)
  SECLENTOT(I) = SECLEN(I)
  DO K = 1,KB
    USECTOT(I,K) = USEC(I,K)
    VSECTOT(I,K) = VSEC(I,K)
    WSECTOT(I,K) = WSEC(I,K)
    SSECTOT(I,K) = SSEC(I,K)
    RHOSECTOT(I,K) = RHOSEC(I,K)
  END DO
END DO
!
!  Take the next part
!
BX = 9.0
BY = 19.5
AX = 9.0
AY = 13.5
CALL SECTIO(AX,AY,BX,BY,IM,JM,KB,H,U,V,WR,S,RHO, &
     &  DX,DY,DZ,USEC,VSEC,WSEC,SSEC,RHOSEC,SECDEP,SECLEN,MAXSEC, &
     &           NSEC,IFAIL)
WRITE(*,*)'UT AV SECTIO-2',NSEC,IFAIL
!
!  Save values 
!
DO I = 1,NSEC
  SECDEPTOT(NSECTOT+I) = SECDEP(I)
  SECLENTOT(NSECTOT+I) = SECLEN(I)
  DO K = 1,KB
    USECTOT(NSECTOT+I,K) = USEC(I,K)
    VSECTOT(NSECTOT+I,K) = VSEC(I,K)
    WSECTOT(NSECTOT+I,K) = WSEC(I,K)
    SSECTOT(NSECTOT+I,K) = SSEC(I,K)
    RHOSECTOT(NSECTOT+I,K) = RHOSEC(I,K)
  END DO
END DO
NSECTOT = NSECTOT + NSEC
!
!  Take the third part
!
AX = 9.0
AY = 19.5
BX = 20.5
BY = 19.5
CALL SECTIO(AX,AY,BX,BY,IM,JM,KB,H,U,V,WR,S,RHO, &
     &  DX,DY,DZ,USEC,VSEC,WSEC,SSEC,RHOSEC,SECDEP,SECLEN,MAXSEC, &
     &           NSEC,IFAIL)
WRITE(*,*)'UT AV SECTIO-3',NSEC,IFAIL
!
!  Save values 
!
DO I = 1,NSEC
  SECDEPTOT(NSECTOT+I) = SECDEP(I)
  SECLENTOT(NSECTOT+I) = SECLEN(I)
  DO K = 1,KB
    USECTOT(NSECTOT+I,K) = USEC(I,K)
    VSECTOT(NSECTOT+I,K) = VSEC(I,K)
    WSECTOT(NSECTOT+I,K) = WSEC(I,K)
    SSECTOT(NSECTOT+I,K) = SSEC(I,K)
    RHOSECTOT(NSECTOT+I,K) = RHOSEC(I,K)
  END DO
END DO
NSECTOT = NSECTOT + NSEC
!
!  Take the final step into Arnavaagen
!
BX = 23.5
BY = 15.5
AX = 20.5
AY = 19.5
CALL SECTIO(AX,AY,BX,BY,IM,JM,KB,H,U,V,WR,S,RHO, &
     &  DX,DY,DZ,USEC,VSEC,WSEC,SSEC,RHOSEC,SECDEP,SECLEN,MAXSEC, &
     &           NSEC,IFAIL)
WRITE(*,*)'UT AV SECTIO-4',NSEC,IFAIL
!
!  Save values 
!
DO I = 1,NSEC
  SECDEPTOT(NSECTOT+I) = SECDEP(I)
  SECLENTOT(NSECTOT+I) = SECLEN(I)
  DO K = 1,KB
    USECTOT(NSECTOT+I,K) = USEC(I,K)
    VSECTOT(NSECTOT+I,K) = VSEC(I,K)
    WSECTOT(NSECTOT+I,K) = WSEC(I,K)
    SSECTOT(NSECTOT+I,K) = SSEC(I,K)
    RHOSECTOT(NSECTOT+I,K) = RHOSEC(I,K)
  END DO
END DO
NSECTOT = NSECTOT + NSEC
!
!
SECDEP = SECDEPTOT
SECLEN = SECLENTOT
USEC = USECTOT
VSEC = VSECTOT
WSEC = WSECTOT
SSEC = SSECTOT
RHOSEC = RHOSECTOT + 1000.
NSEC = NSECTOT
!

NUMNODES = KB*(NSEC+1)
NUMEL = NSEC*(KB-1)
WRITE(91,*)'ZONE T= " ',ISTEP,'" , N=',NUMNODES,',E=',NUMEL,', F=FEPOINT, ET=QUADRILATERAL'
XX = 0.
I = 1
K = 1
WRITE(91,1001)XX,Z(K)*SECDEP(I),USEC(I,K),VSEC(I,K),WSEC(I,K),SSEC(I,K),RHOSEC(I,K)+RHOAVER
DO K = 2,KB-1
  WRITE(91,1001)XX,Z(K)*SECDEP(I),0.5*(USEC(I,K-1)+USEC(I,K)),0.5*(VSEC(I,K-1)+VSEC(I,K)),0.5*(WSEC(I,K-1)+WSEC(I,K)), &
  &   0.5*(SSEC(I,K-1)+SSEC(I,K)),0.5*(RHOSEC(I,K-1)+RHOSEC(I,K))+RHOAVER
END DO
K = KB
WRITE(91,1001)XX,Z(K)*SECDEP(I),USEC(I,K-1),VSEC(I,K-1),WSEC(I,K-1),SSEC(I,K-1),RHOSEC(I,K-1)+RHOAVER
DO I = 2,NSEC
  K = 1 
  XX = XX + SECLEN(I-1)/1000.
  WRITE(91,1001)XX,Z(K)*0.5*(SECDEP(I)+SECDEP(I-1)),0.5*(USEC(I,K)+USEC(I-1,K)), &
    & 0.5*(VSEC(I,K)+VSEC(I-1,K)),0.5*(WSEC(I,K)+WSEC(I-1,K)),0.5*(SSEC(I,K)+SSEC(I-1,K)),  &
    & 0.5*(RHOSEC(I,K)+RHOSEC(I-1,K))+RHOAVER
  DO K = 2,KB-1
    WRITE(91,1001)XX,Z(K)*0.5*(SECDEP(I)+SECDEP(I-1)),  &
    &  0.25*(USEC(I,K)+USEC(I-1,K)+USEC(I,K-1)+USEC(I-1,K-1)), &
    &  0.25*(VSEC(I,K)+VSEC(I-1,K)+VSEC(I,K-1)+VSEC(I-1,K-1)), &
    &  0.25*(WSEC(I,K)+WSEC(I-1,K)+WSEC(I,K-1)+WSEC(I-1,K-1)), &
    &  0.25*(SSEC(I,K)+SSEC(I-1,K)+SSEC(I,K-1)+SSEC(I-1,K-1)),  &
    &  0.25*(RHOSEC(I,K)+RHOSEC(I-1,K)+RHOSEC(I,K-1)+RHOSEC(I-1,K-1))+RHOAVER
  END DO
  K = KB
  WRITE(91,1001)XX,Z(K)*0.5*(SECDEP(I)+SECDEP(I-1)),0.5*(USEC(I,K-1)+USEC(I-1,K-1)), &
    & 0.5*(VSEC(I,K-1)+VSEC(I-1,K-1)),0.5*(WSEC(I,K-1)+WSEC(I-1,K-1)),0.5*(SSEC(I,K-1)+SSEC(I-1,K-1)),  &
    & 0.5*(RHOSEC(I,K-1)+RHOSEC(I-1,K-1))+RHOAVER
END DO
I = NSEC
XX = XX + SECLEN(I)/1000.
K = 1
WRITE(91,1001)XX,Z(K)*SECDEP(I),USEC(I,K),VSEC(I,K),WSEC(I,K),SSEC(I,K),RHOSEC(I,K)+RHOAVER
DO K = 2,KB-1
  WRITE(91,1001)XX,Z(K)*SECDEP(I),0.5*(USEC(I,K-1)+USEC(I,K)),0.5*(VSEC(I,K-1)+VSEC(I,K)),0.5*(WSEC(I,K-1)+WSEC(I,K)), &
  &   0.5*(SSEC(I,K-1)+SSEC(I,K)),0.5*(RHOSEC(I,K-1)+RHOSEC(I,K))+RHOAVER
END DO
K = KB
WRITE(91,1001)XX,Z(K)*SECDEP(I),USEC(I,K-1),VSEC(I,K-1),WSEC(I,K-1),SSEC(I,K-1),RHOSEC(I,K-1)+RHOAVER
!
! Then write the elements node numbers
!
DO I = 1,NSEC
  DO K = 1,KB-1
    WRITE(91,1002)(I-1)*KB+K,(I-1)*KB+K+1,I*KB+K+1,I*KB+K
  END DO
END DO
!
! Define section 2. 
!
1001 FORMAT(1X,F8.2,1X,F8.2,1X,F8.4,1X,E10.3,1X,F7.3,1X,F8.3,1X,F8.3)
1002 FORMAT(4(1X,I5))
!

RETURN
END

