SUBROUTINE SMAGOR2D
USE STATE
!
!   Local variables.
!   AMLIME is an upper limit on AM2D used to avoid instabilities and 
!   unphysical oscillations.
!
INTEGER I,J,pt
REAL AMLIME
AMLIME = 0.0625*DX**2/(DT/N2D)
AM2D = 0.
!
!$omp parallel do firstprivate(cm2d,dx,dy,amlime) private(i,j)
DO pt=1,numcp
   i=indc(1,pt)
   j=indc(2,pt)
!DO J = 2,JM-1
! DO I = 2,IM-1
!   IF (FSM(I,J).GT.0.) THEN
      AM2D(I,J)=CM2D*DX*DY *SQRT( ((UA(I+1,J)-UA(I,J))/DX)**2 &
     &        +((VA(I,J+1)-VA(I,J))/DY)**2 &
     &     +.5*(.25*(UA(I,J+1)+UA(I+1,J+1)-UA(I,J-1)-UA(I+1,J-1))/DY    &
     &     + .25*(VA(I+1,J)+VA(I+1,J+1)-VA(I-1,J)-VA(I-1,J+1))/DX)**2)
!   ENDIF
    AM2D(I,J) = MIN(AM2D(I,J),AMLIME)
! END DO
END DO
!
RETURN
END
